> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Payment Intents



## OpenAPI

````yaml GET /smart-accounts/{smart_account_address}/payment-intents
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/{smart_account_address}/payment-intents:
    get:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: smart_account_address
          in: path
          description: The address of the smart account to get payment intents for
          required: true
          schema:
            type: string
        - name: type
          in: query
          description: Filter by payment rail type
          required: false
          schema:
            $ref: '#/components/schemas/PaymentRail'
        - name: status
          in: query
          description: Filter by transfer status
          required: false
          schema:
            $ref: '#/components/schemas/TransferState'
        - name: currency
          in: query
          description: Filter by currency
          required: false
          schema:
            $ref: '#/components/schemas/Currency'
        - name: start_date
          in: query
          description: Filter by start date
          required: false
          schema:
            type: string
        - name: end_date
          in: query
          description: Filter by end date
          required: false
          schema:
            type: string
        - name: tx_hash
          in: query
          description: Filter by transaction hash
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the number of results (max 100, default 10)
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: cursor
          in: query
          description: Pagination cursor
          required: false
          schema:
            type: string
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved payment intents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetPaymentIntentsResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '404':
          description: Smart account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentRail:
      type: string
      enum:
        - ach
        - ach_push
        - ach_same_day
        - sepa
        - swift
        - wire
        - arbitrum
        - avalanche_c_chain
        - base
        - bridge_wallet
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
        - tron
    TransferState:
      type: string
      enum:
        - awaiting_funds
        - in_review
        - funds_received
        - payment_submitted
        - payment_processed
        - canceled
        - error
        - undeliverable
        - returned
        - refunded
    Currency:
      type: string
      enum:
        - usd
        - eur
        - mxn
        - usdc
        - usdt
        - usdb
        - dai
        - pyusd
        - eurc
    GetPaymentIntentsResponse:
      oneOf:
        - type: object
          required:
            - Bridge
          properties:
            Bridge:
              $ref: '#/components/schemas/Transfer'
        - type: object
          required:
            - Spl
          properties:
            Spl:
              $ref: '#/components/schemas/GridSplTransfer'
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    Transfer:
      type: object
      required:
        - id
        - state
        - on_behalf_of
        - amount
        - developer_fee
        - source
        - destination
        - receipt
        - created_at
        - updated_at
      properties:
        amount:
          type: string
          example: '100.00'
        blockchain_memo:
          type:
            - string
            - 'null'
        client_reference_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          example: '2025-04-01T16:51:23.773Z'
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Currency'
        destination:
          $ref: '#/components/schemas/TransferDestination'
        developer_fee:
          type: string
          example: '100.00'
        id:
          type: string
        on_behalf_of:
          type: string
        receipt:
          $ref: '#/components/schemas/Receipt'
        return_details:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ReturnDetails'
        source:
          $ref: '#/components/schemas/TransferSource'
        source_deposit_instructions:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TransferSourceDepositInstructions'
        state:
          $ref: '#/components/schemas/TransferState'
        updated_at:
          type: string
          format: date-time
          example: '2025-04-01T16:51:23.773Z'
    GridSplTransfer:
      type: object
      required:
        - id
        - grid_user_id
        - main_account_address
        - mint
        - is_token_2022
        - signature
        - confirmation_status
        - from_address
        - to_address
        - amount
        - ui_amount
        - decimals
        - confirmed_at
        - created_at
        - updated_at
      properties:
        amount:
          type: string
        confirmation_status:
          $ref: '#/components/schemas/BillingEventStatus'
        confirmed_at:
          type: string
          format: date-time
          example: '2025-04-01T16:51:23.773Z'
        created_at:
          type: string
          format: date-time
          example: '2025-04-01T16:51:23.773Z'
        decimals:
          type: integer
          format: int32
        from_address:
          type: string
        grid_user_id:
          type: string
          format: uuid
        id:
          type: string
          format: uuid
        is_token_2022:
          type: boolean
        main_account_address:
          type: string
        mint:
          type: string
        signature:
          type: string
        to_address:
          type: string
        ui_amount:
          type: string
        updated_at:
          type: string
          format: date-time
          example: '2025-04-01T16:51:23.773Z'
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
    TransferDestination:
      type: object
      required:
        - currency
        - payment_rail
      properties:
        ach_reference:
          type:
            - string
            - 'null'
        blockchain_memo:
          type:
            - string
            - 'null'
        bridge_wallet_id:
          type:
            - string
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        external_account_id:
          type:
            - string
            - 'null'
        from_address:
          type:
            - string
            - 'null'
        imad:
          type:
            - string
            - 'null'
        omad:
          type:
            - string
            - 'null'
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
        sepa_reference:
          type:
            - string
            - 'null'
        swift_charges:
          type:
            - string
            - 'null'
        swift_reference:
          type:
            - string
            - 'null'
        to_address:
          type:
            - string
            - 'null'
        trace_number:
          type:
            - string
            - 'null'
        uetr:
          type:
            - string
            - 'null'
        wire_message:
          type:
            - string
            - 'null'
    Receipt:
      type: object
      required:
        - initial_amount
        - developer_fee
        - exchange_fee
        - subtotal_amount
        - remaining_prefunded_balance
        - gas_fee
        - final_amount
        - exchange_rate
      properties:
        destination_tx_hash:
          type:
            - string
            - 'null'
        developer_fee:
          type: string
          example: '100.00'
        exchange_fee:
          type: string
          example: '100.00'
        exchange_rate:
          type: string
          example: '100.00'
        final_amount:
          type: string
          example: '100.00'
        gas_fee:
          type: string
          example: '100.00'
        initial_amount:
          type: string
          example: '100.00'
        remaining_prefunded_balance:
          type: string
          example: '100.00'
        source_tx_hash:
          type:
            - string
            - 'null'
        subtotal_amount:
          type: string
          example: '100.00'
        url:
          type:
            - string
            - 'null'
    ReturnDetails:
      type: object
      properties:
        reason:
          type:
            - string
            - 'null'
        refund_reference_id:
          type:
            - string
            - 'null'
    TransferSource:
      type: object
      required:
        - payment_rail
        - currency
      properties:
        bank_beneficiary_address:
          type:
            - string
            - 'null'
        bank_beneficiary_name:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        bank_routing_number:
          type:
            - string
            - 'null'
        bridge_wallet_id:
          type:
            - string
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        description:
          type:
            - string
            - 'null'
        external_account_id:
          type:
            - string
            - 'null'
        from_address:
          type:
            - string
            - 'null'
        imad:
          type:
            - string
            - 'null'
        omad:
          type:
            - string
            - 'null'
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
    TransferSourceDepositInstructions:
      type: object
      required:
        - currency
        - payment_rail
      properties:
        account_holder_name:
          type:
            - string
            - 'null'
        amount:
          type: string
          example: '100.00'
        bank_account_number:
          type:
            - string
            - 'null'
        bank_address:
          type:
            - string
            - 'null'
        bank_beneficiary_address:
          type:
            - string
            - 'null'
        bank_beneficiary_name:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        bank_routing_number:
          type:
            - string
            - 'null'
        bic:
          type:
            - string
            - 'null'
        blockchain_memo:
          type:
            - string
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        deposit_message:
          type:
            - string
            - 'null'
        external_account_id:
          type:
            - string
            - 'null'
        from_address:
          type:
            - string
            - 'null'
        iban:
          type:
            - string
            - 'null'
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
        to_address:
          type:
            - string
            - 'null'
    BillingEventStatus:
      type: string
      enum:
        - pending
        - confirmed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````